/* Configuración General */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css");
* {
  margin: 0;
  padding: 0;
}


body a {
  text-decoration: none;
}

h1, h2, h3, h4 {
  font-weight: 300;
}

.intro {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
.intro > div {
  width: 100%;
}


main .menu ul li {
  margin-bottom: 18px;
}
main .menu ul li:last-child {
  margin-bottom: 0;
}
main .menu ul li a {
  display: block;
  line-height: 1;
  color: black;
  padding: 16px;
  font-size: 14px;
  font-weight: 500;
  border-radius: 16px;
  transition: all 0.2s;
}
main .menu ul li a:hover {
  transform: scale(1.04);
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #001a4d; /* Azul oscuro corporativo */
    display: flex;
     font-family: "Poppins", sans-serif;
      font-weight: 400;
      text-align: center;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding: 20px;
}

.main-container {
    width: 100%;
    max-width: 500px; /* Tamaño ideal para móvil y tablet */
    text-align: center;
}

/* Encabezado */
.header {
    margin-bottom: 40px;
}

.logo {
    width: 250px;
}

.location {
    color: white;
    font-size: 0.9rem;
    letter-spacing: 4px;
    margin-top: 10px;
    font-weight: 300;
}

/* Menú en Cuadrícula */
.grid-menu {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* 2 columnas */
    gap: 20px;
}

.menu-item {
    background-color: white;
    border-radius: 25px; /* Bordes redondeados de la imagen */
    padding: 30px 10px;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
    box-shadow: 0 4px 15px rgba(0,0,0,0.3);
}

.menu-item:hover {
    transform: translateY(-5px);
}

/* Iconos */
.icon-box {
    font-size: 3rem;
    color: #8cc63f; /* Verde manzana de los iconos */
    margin-bottom: 15px;
    height: 60px;
    display: flex;
    align-items: center;
}

.menu-item span {
    color: #001a4d;
    font-weight: bold;
    font-size: 0.9rem;
}

.icon-box img {
    max-width: 100%;
    height: auto;
    
    image-rendering: -webkit-optimize-contrast; /* Para Chrome/Safari */
    image-rendering: crisp-edges;
    
}

/* Responsivo para móviles muy pequeños */
@media (max-width: 350px) {
    .grid-menu {
        grid-template-columns: 1fr; /* 1 columna en pantallas mini */
    }
    
    .logo{
        width: 200px;
    }
}

.btn-idioma {
    display: inline-block;
    padding: 12px 25px;
    border-radius: 15px; 
    background-color: #ffffff;
    color: #001a4d;
    text-decoration: none;
    font-weight: bold;
    min-width: 130px;
    text-align: center;

    transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
    box-shadow: 0 2px 5px rgba(0,0,0,0.1); 
    border: 2px solid transparent;
}

.btn-idioma:hover {
    transform: translateY(-3px); 
    background-color: #f8f9fa; 
    color: #001a4d;
    box-shadow: 0 10px 20px rgba(0,0,0,0.2); 
    border: 2px solid #8cc63f; 
}

.btn-idioma:active {
    transform: translateY(-1px);
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
}